<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/water_drop_list_view_footer_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="10dp">

        <LinearLayout
            android:id="@+id/progress_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal"
            android:visibility="invisible">

            <ProgressBar
                android:id="@+id/water_drop_list_view_footer_progressbar"
                android:layout_width="27dip"
                android:layout_height="27dip"
                android:layout_margin="5dp"
                android:indeterminate="false"
                android:visibility="invisible" />

            <TextView
                android:id="@+id/txt_progress_text"
                android:layout_width="wrap_content"
                android:text="@string/listfooterview_normal_loading"
                android:layout_height="wrap_content" />
        </LinearLayout>

        <TextView
            android:id="@+id/water_drop_list_view_footer_hint_text_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="@string/listfooterview_normal" />
    </RelativeLayout>

</LinearLayout>